'\" t
.\"     Title: test-tags-config
.\"    Author: kaliko <kaliko@azylum.org>
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 01/09/2021
.\"    Manual: mpd-sima 0.16.1 User Manual
.\"    Source: mpd-sima
.\"  Language: English
.\"
.TH "TEST\-TAGS\-CONFIG" "1" "01/09/2021" "mpd-sima" "mpd-sima 0.16.1 User Manual"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
test-tags-config \- controls tags plugin configuration\&.
.SH "SYNOPSIS"
.HP \w'\fBtest\-tags\-config\fR\ 'u
\fBtest\-tags\-config\fR {\fBconfig_file\fR}
.SH "DESCRIPTION"
.PP
This manual page documents briefly the
\fBtest\-tags\-config\fR
commands\&.
.PP
\fBtest\-tags\-config\fR
will load
\fIconfig_file\fR
passed as argument and look for tags plugin configuration to query MPD with it\&. There is no attempt to auto\-discover configuration file, positional argument is required\&.
.br

See also environment variables special case for MPD host and port in
the section called \(lqENVIRONMENT\(rq\&.
.SH "FILES"
.PP
${XDG_CONFIG_HOME}/mpd_sima/mpd_sima\&.cfg
.RS 4
Configuration file\&.
.RE
.PP
${XDG_DATA_HOME}/mpd_sima/sima\&.db
.RS 4
SQLite DB file\&.
.RE
.PP
${XDG_DATA_HOME}/mpd_sima/WEB_SERVICE/
.RS 4
Persistent http cache\&.
.RE
.PP
Usually
\fBXDG_DATA_HOME\fR
is set to
${HOME}/\&.local/share
and
\fBXDG_CONFIG_HOME\fR
to
${HOME}/\&.config\&.
.br
You may override them using command line option
\fB\-\-var\-dir\fR
and
\fB\-\-config\fR
(cf\&.
\fBmpd-sima\fR(1))
.SH "ENVIRONMENT"
.PP
\fBMPD_HOST\fR, \fBMPD_PORT\fR
.RS 4
test\-tags\-config will look for
\fBMPD_HOST\fR
and
\fBMPD_PORT\fR
to override built\-in configuration (set to "localhost:6600")\&.
.sp
test\-tags\-config expects
\fBMPD_HOST\fR
syntax as documented in mpc manual, cf\&.
\fBmpc\fR(1)\&.

.br
To use a password, provide a value of the form "password@host"\&.
.RE
.PP
\fBHTTP_PROXY\fR, \fBHTTPS_PROXY\fR
.RS 4
test\-tags\-config honors
\fBHTTP_PROXY\fR
environment variables\&.
.RE
.SH "FEEDBACK/BUGS"
.PP
The maintainer would be more than happy to ear from you, don\*(Aqt hesitate to send feedback,
\m[blue]\fB\%https://kaliko.me/contact/\fR\m[]\&.
.PP
XMPP
users are welcome to join the dedicated chat room at
\m[blue]\fBkaliko\&.me@conf\&.azylum\&.org\fR\m[]\&.
.SH "SEE ALSO"
.PP
\fBmpc\fR(1),
\fBmpd\fR(1)
.PP
/usr/share/doc/mpd\-sima/
.SH "AUTHOR"
.PP
\fBkaliko\fR <\&kaliko@azylum\&.org\&>
.RS 4
Wrote this man page and is currently leading MPD_sima project\&.
.RE
.SH "COPYRIGHT"
.br
Copyright \(co 2009-2021 kaliko
.br
.PP
This manual page was written for the Debian system (and may be used by others)\&.
.PP
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 published by the Free Software Foundation\&.
.PP
On Debian systems, the complete text of the GNU General Public License can be found in
/usr/share/common\-licenses/GPL\&.
.sp
